org.apache.maven.scm.tck.command.branch

## Class BranchCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.branch.BranchCommandTckTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  CvsBranchCommandTckTest, GitBranchCommandTckTest, SvnBranchCommandTckTest

    public abstract class BranchCommandTckTest
    extends ScmTckTestCase

This test tests the branch command.

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
Constructor and Description
`BranchCommandTckTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getBranch()`
`void` `testBranchCommandTest()`

### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

`addToWorkingTree, checkIn, checkOut, edit, getScmFileNames, getScmRepository, getScmUrl, initRepo, mapFilesByPath, removeRepo, setUp, tearDown`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BranchCommandTckTest

    public BranchCommandTckTest()

### Method Detail

#### getBranch

    protected String getBranch()

#### testBranchCommandTest

    public void testBranchCommandTest()
                               throws Exception

Throws:
  `Exception`